Bug 46353 - [A11Y] Focus goes to main window after close of modal dialog opened from UCW
[A11Y] Focus goes to main window after close of modal dialog opened from UCW
Status: CLOSED FIXED
Product: platform
Classification: Unclassified
Component: Plugin Manager
4.x
PC All
: P2 (vote)
: 4.x
Assigned To: Jiri Rechtacek
issues@platform
: A11Y, FOCUS
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2004-07-20 19:13 UTC by Lukas Hasik
Modified: 2007-05-21 09:12 UTC (History)
0 users

See Also:
Issue Type: DEFECT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Lukas Hasik 2004-07-20 19:13:32 UTC
open Update Center wizard and open any of this
dialogs:
-Proxy dialog
-Select directory or nbm. files
-View Certificate
when you finish these dialogs the focus goes to
the main window and you cannot get the focus back
only with the mouse click.
Comment 1 Jiri Rechtacek 2004-07-26 11:02:13 UTC
fixed in src/org/netbeans/core/windows/services/DialogDisplayerImpl.java;
/cvs/core/windows/src/org/netbeans/core/windows/services/DialogDisplayerImpl.java,v
 <--  DialogDisplayerImpl.java
new revision: 1.4; previous revision: 1.3
done
Comment 2 Lukas Hasik 2004-07-28 13:50:21 UTC
sorry Jirko, I have to reopen. Proxy, Error, View certificate works
fine. But fix also 'Save copy...', thanks.
Comment 3 Jiri Rechtacek 2004-07-29 09:58:33 UTC
fixed the focus problem when invoke&close JFileChooser.

Checking in src/org/netbeans/modules/autoupdate/ResultsPanel.java;
/cvs/autoupdate/src/org/netbeans/modules/autoupdate/ResultsPanel.java,v
 <--  ResultsPanel.java
new revision: 1.55; previous revision: 1.54
done
Checking in src/org/netbeans/modules/autoupdate/SelectModulesPanel.java;
/cvs/autoupdate/src/org/netbeans/modules/autoupdate/SelectModulesPanel.java,v
 <--  SelectModulesPanel.java
new revision: 1.39; previous revision: 1.38
done
Comment 4 Lukas Hasik 2004-09-02 10:35:04 UTC
verified


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo